# Generated by Django 4.2.21 on 2025-06-16 10:41

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Location",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                ("lat", models.FloatField()),
                ("lng", models.FloatField()),
                ("address", models.TextField()),
            ],
            options={
                "verbose_name": "Location",
                "verbose_name_plural": "Locations",
                "abstract": False,
                "default_permissions": {"add", "control", "view", "delete", "change"},
                "rdf_type": "cqcm:Location",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "lat",
                    "lng",
                    "address",
                ],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Service",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "Service",
                "verbose_name_plural": "Services",
                "abstract": False,
                "default_permissions": {"add", "control", "view", "delete", "change"},
                "rdf_type": "cqcm:Service",
                "serializer_fields": ["@id", "creation_date", "update_date", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="SocialNetwork",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                ("url", models.URLField()),
                (
                    "kind",
                    models.CharField(
                        choices=[
                            ("twitter", "Twitter"),
                            ("facebook", "Facebook"),
                            ("instagram", "Instagram"),
                            ("youtube", "Youtube"),
                            ("linkedin", "Linkedin"),
                            ("link", "Link"),
                            ("mail", "Mail"),
                        ],
                        max_length=20,
                    ),
                ),
            ],
            options={
                "verbose_name": "Social Network",
                "verbose_name_plural": "Social Networks",
                "abstract": False,
                "default_permissions": {"add", "control", "view", "delete", "change"},
                "rdf_type": "cqcm:SocialNetwork",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "url",
                    "kind",
                ],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="StructureKind",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "Structure kind",
                "verbose_name_plural": "Structure kinds",
                "abstract": False,
                "default_permissions": {"add", "control", "view", "delete", "change"},
                "rdf_type": "cqcm:StructureKind",
                "serializer_fields": ["@id", "creation_date", "update_date", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Pole",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "location",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="djangoldp_cqcm_map.location",
                    ),
                ),
                ("services", models.ManyToManyField(to="djangoldp_cqcm_map.service")),
                (
                    "social_networks",
                    models.ManyToManyField(to="djangoldp_cqcm_map.socialnetwork"),
                ),
                (
                    "structure_kind",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="djangoldp_cqcm_map.structurekind",
                    ),
                ),
            ],
            options={
                "verbose_name": "Pole",
                "verbose_name_plural": "Poles",
                "abstract": False,
                "default_permissions": {"add", "control", "view", "delete", "change"},
                "rdf_type": "cqcm:Pole",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "name",
                    "location",
                    "structure_kind",
                    "services",
                    "social_networks",
                ],
                "nested_fields": [
                    "location",
                    "structure_kind",
                    "services",
                    "social_networks",
                ],
                "depth": 0,
            },
        ),
    ]
